Subject: [RFC v2 8/8] iommu/arm-smmu: implement add_reserved_regions callback

From: [email-masked] (Joerg Roedel)
Date: Fri, 11 Nov 2016 12:42:23 +0100

On Thu, Nov 10, 2016 at 07:00:52PM +0100, Auger Eric wrote:
> GICv2m and GICV3 ITS use dma-mapping iommu_dma_map_msi_msg to allocate
> an MSI IOVA on-demand.

Yes, and it the right thing to do there because as a DMA-API
implementation the dma-iommu code cares about the address space
allocation.

As I understand it this is different in your case, as someone else is
defining the address space layout. So why do you need to allocate it
yourself?

	Joerg